Get full details for an Amazon product by ASIN. Returns pricing, buy box (with seller ID), availability, condition, photos, videos, specs (product information and details tables), about bullets, description, rating breakdown, and top reviews.
curl "https://apidirect.io/v1/amazon/product?asin=B07ZPKN6YR" \
-H "X-API-Key: YOUR_API_KEY"
{
"product": {
"asin": "B07ZPKN6YR",
"title": "Apple iPhone 11, 64GB, Black - Unlocked (Renewed)",
"item_highlight": "Fully unlocked, renewed and inspected, 64GB storage",
"price": "$190.00",
"original_price": "$249.00",
"delivery_price": null,
"minimum_order_quantity": null,
"currency": "USD",
"country": "US",
"byline": "Visit the Amazon Renewed Store",
"byline_link": "https://www.amazon.com/Amazon-Renewed/b/...",
"rating": 4.2,
"num_ratings": 57539,
"url": "https://www.amazon.com/dp/B07ZPKN6YR",
"slug": "Apple-iPhone-11-64GB-Black",
"photo": "https://m.media-amazon.com/images/I/514k7uOBMwL._AC_SL1000_.jpg",
"photos": ["https://m.media-amazon.com/images/I/514k7uOBMwL._AC_SL1000_.jpg"],
"videos": [],
"user_uploaded_videos": [],
"has_video": false,
"num_offers": 47,
"availability": "In Stock",
"condition": "Buy New",
"is_best_seller": false,
"is_amazon_choice": false,
"is_prime": false,
"climate_pledge_friendly": false,
"sales_volume": "2K+ bought in past month",
"delivery": "FREE delivery Friday, June 6",
"main_buy_box": {
"title": "Buy New",
"price": "$190.00",
"seller": "iBlueberry",
"seller_id": "A1B2C3D4E5F6G7",
"seller_link": "https://www.amazon.com/gp/help/seller/at-a-glance.html/...",
"return_policy": "30-day refund/replacement"
},
"buy_boxes": [{"title": "Buy New", "price": "$190.00"}],
"about": ["This phone is unlocked and compatible with any carrier of choice."],
"description": "The iPhone 11 features a 6.1-inch Liquid Retina display...",
"product_information": {"Screen Size": "6.1 inches", "Color": "Black"},
"product_details": {"Brand": "Apple", "Model Name": "iPhone 11"},
"rating_distribution": {"1": "12", "2": "3", "3": "5", "4": "12", "5": "68"},
"top_reviews": [
{
"review_id": "R3PXA2ZA1TUMCE",
"title": "Five stars !! It's worth the money !!",
"review_text": "I had my phone for a couple of years... it was a perfect phone.",
"rating": 5.0,
"review_link": "https://www.amazon.com/gp/customer-reviews/R3PXA2ZA1TUMCE",
"review_date": "Reviewed in the United States on October 30, 2025",
"author_id": "AHDG3DAH75Y6DILGMFNKDAXGX7YQ",
"author_name": "Dorothyann",
"author_avatar": "https://m.media-amazon.com/images/S/amazon-avatars-global/default.png",
"images": [],
"video": null,
"is_verified_purchase": true,
"helpful_votes": "12 people found this helpful",
"product_variant": {"Size": "64GB", "Color": "Purple"},
"is_vine": false
}
]
}
}